/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison interface for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

#ifndef YY_YY_PARSER_H_INCLUDED
# define YY_YY_PARSER_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token kinds.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    YYEMPTY = -2,
    YYEOF = 0,                     /* "end of file"  */
    YYerror = 256,                 /* error  */
    YYUNDEF = 257,                 /* "invalid token"  */
    INTEGER = 258,                 /* INTEGER  */
    L_OFF = 259,                   /* L_OFF  */
    L_ON = 260,                    /* L_ON  */
    L_AUTO = 261,                  /* L_AUTO  */
    L_YES = 262,                   /* L_YES  */
    L_NO = 263,                    /* L_NO  */
    CHIPSET_TYPE = 264,            /* CHIPSET_TYPE  */
    KEYB_LAYOUT = 265,             /* KEYB_LAYOUT  */
    REAL = 266,                    /* REAL  */
    STRING = 267,                  /* STRING  */
    VARIABLE = 268,                /* VARIABLE  */
    EXPRTEST = 269,                /* EXPRTEST  */
    INTCAST = 270,                 /* INTCAST  */
    REALCAST = 271,                /* REALCAST  */
    AND_OP = 272,                  /* AND_OP  */
    OR_OP = 273,                   /* OR_OP  */
    XOR_OP = 274,                  /* XOR_OP  */
    SHR_OP = 275,                  /* SHR_OP  */
    SHL_OP = 276,                  /* SHL_OP  */
    NOT_OP = 277,                  /* NOT_OP  */
    EQ_OP = 278,                   /* EQ_OP  */
    GE_OP = 279,                   /* GE_OP  */
    LE_OP = 280,                   /* LE_OP  */
    NEQ_OP = 281,                  /* NEQ_OP  */
    STR_EQ_OP = 282,               /* STR_EQ_OP  */
    STR_NEQ_OP = 283,              /* STR_NEQ_OP  */
    L_AND_OP = 284,                /* L_AND_OP  */
    L_OR_OP = 285,                 /* L_OR_OP  */
    UMINUS = 286,                  /* UMINUS  */
    UPLUS = 287,                   /* UPLUS  */
    BIT_NOT_OP = 288,              /* BIT_NOT_OP  */
    STRLEN = 289,                  /* STRLEN  */
    STRTOL = 290,                  /* STRTOL  */
    STRNCMP = 291,                 /* STRNCMP  */
    STRCAT = 292,                  /* STRCAT  */
    STRPBRK = 293,                 /* STRPBRK  */
    STRSPLIT = 294,                /* STRSPLIT  */
    STRCHR = 295,                  /* STRCHR  */
    STRRCHR = 296,                 /* STRRCHR  */
    STRSTR = 297,                  /* STRSTR  */
    STRDEL = 298,                  /* STRDEL  */
    STRSPN = 299,                  /* STRSPN  */
    STRCSPN = 300,                 /* STRCSPN  */
    SHELL = 301,                   /* SHELL  */
    DEFINED = 302,                 /* DEFINED  */
    DEFINE = 303,                  /* DEFINE  */
    UNDEF = 304,                   /* UNDEF  */
    IFSTATEMENT = 305,             /* IFSTATEMENT  */
    WHILESTATEMENT = 306,          /* WHILESTATEMENT  */
    FOREACHSTATEMENT = 307,        /* FOREACHSTATEMENT  */
    ENTER_USER_SPACE = 308,        /* ENTER_USER_SPACE  */
    LEAVE_USER_SPACE = 309,        /* LEAVE_USER_SPACE  */
    CHECKUSERVAR = 310,            /* CHECKUSERVAR  */
    DOSBANNER = 311,               /* DOSBANNER  */
    FASTFLOPPY = 312,              /* FASTFLOPPY  */
    HOGTHRESH = 313,               /* HOGTHRESH  */
    SPEAKER = 314,                 /* SPEAKER  */
    IPXSUPPORT = 315,              /* IPXSUPPORT  */
    IPXNETWORK = 316,              /* IPXNETWORK  */
    NOVELLHACK = 317,              /* NOVELLHACK  */
    ETHDEV = 318,                  /* ETHDEV  */
    TAPDEV = 319,                  /* TAPDEV  */
    VDESWITCH = 320,               /* VDESWITCH  */
    SLIRPARGS = 321,               /* SLIRPARGS  */
    VNET = 322,                    /* VNET  */
    DEBUG = 323,                   /* DEBUG  */
    MOUSE = 324,                   /* MOUSE  */
    SERIAL = 325,                  /* SERIAL  */
    COM = 326,                     /* COM  */
    KEYBOARD = 327,                /* KEYBOARD  */
    TERMINAL = 328,                /* TERMINAL  */
    VIDEO = 329,                   /* VIDEO  */
    EMURETRACE = 330,              /* EMURETRACE  */
    TIMER = 331,                   /* TIMER  */
    MATHCO = 332,                  /* MATHCO  */
    CPU = 333,                     /* CPU  */
    CPUSPEED = 334,                /* CPUSPEED  */
    RDTSC = 335,                   /* RDTSC  */
    BOOTDRIVE = 336,               /* BOOTDRIVE  */
    SWAP_BOOTDRIVE = 337,          /* SWAP_BOOTDRIVE  */
    L_XMS = 338,                   /* L_XMS  */
    L_DPMI = 339,                  /* L_DPMI  */
    DPMI_LIN_RSV_BASE = 340,       /* DPMI_LIN_RSV_BASE  */
    DPMI_LIN_RSV_SIZE = 341,       /* DPMI_LIN_RSV_SIZE  */
    PM_DOS_API = 342,              /* PM_DOS_API  */
    NO_NULL_CHECKS = 343,          /* NO_NULL_CHECKS  */
    PORTS = 344,                   /* PORTS  */
    DISK = 345,                    /* DISK  */
    DOSMEM = 346,                  /* DOSMEM  */
    EXT_MEM = 347,                 /* EXT_MEM  */
    L_EMS = 348,                   /* L_EMS  */
    UMB_A0 = 349,                  /* UMB_A0  */
    UMB_B0 = 350,                  /* UMB_B0  */
    UMB_F0 = 351,                  /* UMB_F0  */
    EMS_SIZE = 352,                /* EMS_SIZE  */
    EMS_FRAME = 353,               /* EMS_FRAME  */
    EMS_UMA_PAGES = 354,           /* EMS_UMA_PAGES  */
    EMS_CONV_PAGES = 355,          /* EMS_CONV_PAGES  */
    TTYLOCKS = 356,                /* TTYLOCKS  */
    L_SOUND = 357,                 /* L_SOUND  */
    L_SND_OSS = 358,               /* L_SND_OSS  */
    L_JOYSTICK = 359,              /* L_JOYSTICK  */
    FULL_FILE_LOCKS = 360,         /* FULL_FILE_LOCKS  */
    DEXE = 361,                    /* DEXE  */
    ALLOWDISK = 362,               /* ALLOWDISK  */
    FORCEXDOS = 363,               /* FORCEXDOS  */
    XDOSONLY = 364,                /* XDOSONLY  */
    ABORT = 365,                   /* ABORT  */
    WARN = 366,                    /* WARN  */
    L_FLOPPY = 367,                /* L_FLOPPY  */
    EMUSYS = 368,                  /* EMUSYS  */
    L_X = 369,                     /* L_X  */
    L_SDL = 370,                   /* L_SDL  */
    DOSEMUMAP = 371,               /* DOSEMUMAP  */
    LOGBUFSIZE = 372,              /* LOGBUFSIZE  */
    LOGFILESIZE = 373,             /* LOGFILESIZE  */
    MAPPINGDRIVER = 374,           /* MAPPINGDRIVER  */
    LFN_SUPPORT = 375,             /* LFN_SUPPORT  */
    EMULATED = 376,                /* EMULATED  */
    NATIVE = 377,                  /* NATIVE  */
    CPUEMU = 378,                  /* CPUEMU  */
    CPU_VM = 379,                  /* CPU_VM  */
    VM86 = 380,                    /* VM86  */
    FULL = 381,                    /* FULL  */
    VM86SIM = 382,                 /* VM86SIM  */
    FULLSIM = 383,                 /* FULLSIM  */
    KVM = 384,                     /* KVM  */
    RAWKEYBOARD = 385,             /* RAWKEYBOARD  */
    PRESTROKE = 386,               /* PRESTROKE  */
    KEYTABLE = 387,                /* KEYTABLE  */
    SHIFT_MAP = 388,               /* SHIFT_MAP  */
    ALT_MAP = 389,                 /* ALT_MAP  */
    NUMPAD_MAP = 390,              /* NUMPAD_MAP  */
    DUMP = 391,                    /* DUMP  */
    DGRAVE = 392,                  /* DGRAVE  */
    DACUTE = 393,                  /* DACUTE  */
    DCIRCUM = 394,                 /* DCIRCUM  */
    DTILDE = 395,                  /* DTILDE  */
    DBREVE = 396,                  /* DBREVE  */
    DABOVED = 397,                 /* DABOVED  */
    DDIARES = 398,                 /* DDIARES  */
    DABOVER = 399,                 /* DABOVER  */
    DDACUTE = 400,                 /* DDACUTE  */
    DCEDILLA = 401,                /* DCEDILLA  */
    DIOTA = 402,                   /* DIOTA  */
    DOGONEK = 403,                 /* DOGONEK  */
    DCARON = 404,                  /* DCARON  */
    NETWORK = 405,                 /* NETWORK  */
    PKTDRIVER = 406,               /* PKTDRIVER  */
    DIRECTORY = 407,               /* DIRECTORY  */
    NAMESTUB = 408,                /* NAMESTUB  */
    BINARY = 409,                  /* BINARY  */
    BASE = 410,                    /* BASE  */
    IRQ = 411,                     /* IRQ  */
    DEVICE = 412,                  /* DEVICE  */
    CHARSET = 413,                 /* CHARSET  */
    BAUDRATE = 414,                /* BAUDRATE  */
    VIRTUAL = 415,                 /* VIRTUAL  */
    VMODEM = 416,                  /* VMODEM  */
    PSEUDO = 417,                  /* PSEUDO  */
    RTSCTS = 418,                  /* RTSCTS  */
    LOWLAT = 419,                  /* LOWLAT  */
    PCCOM = 420,                   /* PCCOM  */
    MICROSOFT = 421,               /* MICROSOFT  */
    MS3BUTTON = 422,               /* MS3BUTTON  */
    LOGITECH = 423,                /* LOGITECH  */
    MMSERIES = 424,                /* MMSERIES  */
    MOUSEMAN = 425,                /* MOUSEMAN  */
    HITACHI = 426,                 /* HITACHI  */
    MOUSESYSTEMS = 427,            /* MOUSESYSTEMS  */
    BUSMOUSE = 428,                /* BUSMOUSE  */
    PS2 = 429,                     /* PS2  */
    IMPS2 = 430,                   /* IMPS2  */
    INTERNALDRIVER = 431,          /* INTERNALDRIVER  */
    EMULATE3BUTTONS = 432,         /* EMULATE3BUTTONS  */
    CLEARDTR = 433,                /* CLEARDTR  */
    L_DISPLAY = 434,               /* L_DISPLAY  */
    L_TITLE = 435,                 /* L_TITLE  */
    X_TITLE_SHOW_APPNAME = 436,    /* X_TITLE_SHOW_APPNAME  */
    ICON_NAME = 437,               /* ICON_NAME  */
    X_KEYCODE = 438,               /* X_KEYCODE  */
    X_BLINKRATE = 439,             /* X_BLINKRATE  */
    X_SHARECMAP = 440,             /* X_SHARECMAP  */
    X_MITSHM = 441,                /* X_MITSHM  */
    X_FONT = 442,                  /* X_FONT  */
    X_FIXED_ASPECT = 443,          /* X_FIXED_ASPECT  */
    X_ASPECT_43 = 444,             /* X_ASPECT_43  */
    X_LIN_FILT = 445,              /* X_LIN_FILT  */
    X_BILIN_FILT = 446,            /* X_BILIN_FILT  */
    X_MODE13FACT = 447,            /* X_MODE13FACT  */
    X_WINSIZE = 448,               /* X_WINSIZE  */
    X_GAMMA = 449,                 /* X_GAMMA  */
    X_FULLSCREEN = 450,            /* X_FULLSCREEN  */
    VGAEMU_MEMSIZE = 451,          /* VGAEMU_MEMSIZE  */
    VESAMODE = 452,                /* VESAMODE  */
    X_LFB = 453,                   /* X_LFB  */
    X_PM_INTERFACE = 454,          /* X_PM_INTERFACE  */
    X_MGRAB_KEY = 455,             /* X_MGRAB_KEY  */
    X_BACKGROUND_PAUSE = 456,      /* X_BACKGROUND_PAUSE  */
    SDL_HWREND = 457,              /* SDL_HWREND  */
    VGA = 458,                     /* VGA  */
    MGA = 459,                     /* MGA  */
    CGA = 460,                     /* CGA  */
    EGA = 461,                     /* EGA  */
    NONE = 462,                    /* NONE  */
    CONSOLE = 463,                 /* CONSOLE  */
    GRAPHICS = 464,                /* GRAPHICS  */
    CHIPSET = 465,                 /* CHIPSET  */
    FULLREST = 466,                /* FULLREST  */
    PARTREST = 467,                /* PARTREST  */
    MEMSIZE = 468,                 /* MEMSIZE  */
    VBIOS_SIZE_TOK = 469,          /* VBIOS_SIZE_TOK  */
    VBIOS_SEG = 470,               /* VBIOS_SEG  */
    VGAEMUBIOS_FILE = 471,         /* VGAEMUBIOS_FILE  */
    VBIOS_FILE = 472,              /* VBIOS_FILE  */
    VBIOS_COPY = 473,              /* VBIOS_COPY  */
    VBIOS_MMAP = 474,              /* VBIOS_MMAP  */
    DUALMON = 475,                 /* DUALMON  */
    VBIOS_POST = 476,              /* VBIOS_POST  */
    FORCE_VT_SWITCH = 477,         /* FORCE_VT_SWITCH  */
    PCI = 478,                     /* PCI  */
    COLOR = 479,                   /* COLOR  */
    ESCCHAR = 480,                 /* ESCCHAR  */
    XTERM_TITLE = 481,             /* XTERM_TITLE  */
    IO = 482,                      /* IO  */
    PORT = 483,                    /* PORT  */
    CONFIG = 484,                  /* CONFIG  */
    READ = 485,                    /* READ  */
    WRITE = 486,                   /* WRITE  */
    KEYB = 487,                    /* KEYB  */
    PRINTER = 488,                 /* PRINTER  */
    WARNING = 489,                 /* WARNING  */
    GENERAL = 490,                 /* GENERAL  */
    HARDWARE = 491,                /* HARDWARE  */
    L_IPC = 492,                   /* L_IPC  */
    SOUND = 493,                   /* SOUND  */
    TRACE = 494,                   /* TRACE  */
    CLEAR = 495,                   /* CLEAR  */
    LPT = 496,                     /* LPT  */
    COMMAND = 497,                 /* COMMAND  */
    TIMEOUT = 498,                 /* TIMEOUT  */
    L_FILE = 499,                  /* L_FILE  */
    L_PARTITION = 500,             /* L_PARTITION  */
    WHOLEDISK = 501,               /* WHOLEDISK  */
    THREEINCH = 502,               /* THREEINCH  */
    THREEINCH_720 = 503,           /* THREEINCH_720  */
    THREEINCH_2880 = 504,          /* THREEINCH_2880  */
    FIVEINCH = 505,                /* FIVEINCH  */
    FIVEINCH_360 = 506,            /* FIVEINCH_360  */
    READONLY = 507,                /* READONLY  */
    LAYOUT = 508,                  /* LAYOUT  */
    SECTORS = 509,                 /* SECTORS  */
    CYLINDERS = 510,               /* CYLINDERS  */
    TRACKS = 511,                  /* TRACKS  */
    HEADS = 512,                   /* HEADS  */
    OFFSET = 513,                  /* OFFSET  */
    HDIMAGE = 514,                 /* HDIMAGE  */
    HDTYPE1 = 515,                 /* HDTYPE1  */
    HDTYPE2 = 516,                 /* HDTYPE2  */
    HDTYPE9 = 517,                 /* HDTYPE9  */
    DISKCYL4096 = 518,             /* DISKCYL4096  */
    RDONLY = 519,                  /* RDONLY  */
    WRONLY = 520,                  /* WRONLY  */
    RDWR = 521,                    /* RDWR  */
    ORMASK = 522,                  /* ORMASK  */
    ANDMASK = 523,                 /* ANDMASK  */
    RANGE = 524,                   /* RANGE  */
    FAST = 525,                    /* FAST  */
    SLOW = 526,                    /* SLOW  */
    SILLYINT = 527,                /* SILLYINT  */
    USE_SIGIO = 528,               /* USE_SIGIO  */
    HARDWARE_RAM = 529,            /* HARDWARE_RAM  */
    SB_BASE = 530,                 /* SB_BASE  */
    SB_IRQ = 531,                  /* SB_IRQ  */
    SB_DMA = 532,                  /* SB_DMA  */
    SB_HDMA = 533,                 /* SB_HDMA  */
    MPU_BASE = 534,                /* MPU_BASE  */
    MPU_IRQ = 535,                 /* MPU_IRQ  */
    MPU_IRQ_MT32 = 536,            /* MPU_IRQ_MT32  */
    MIDI_SYNTH = 537,              /* MIDI_SYNTH  */
    SOUND_DRIVER = 538,            /* SOUND_DRIVER  */
    MIDI_DRIVER = 539,             /* MIDI_DRIVER  */
    MUNT_ROMS = 540,               /* MUNT_ROMS  */
    SND_PLUGIN_PARAMS = 541,       /* SND_PLUGIN_PARAMS  */
    PCM_HPF = 542,                 /* PCM_HPF  */
    MIDI_FILE = 543,               /* MIDI_FILE  */
    WAV_FILE = 544,                /* WAV_FILE  */
    CDROM = 545,                   /* CDROM  */
    ASPI = 546,                    /* ASPI  */
    DEVICETYPE = 547,              /* DEVICETYPE  */
    TARGET = 548,                  /* TARGET  */
    FEATURE = 549,                 /* FEATURE  */
    JOYSTICK = 550,                /* JOYSTICK  */
    JOY_DEVICE = 551,              /* JOY_DEVICE  */
    JOY_DOS_MIN = 552,             /* JOY_DOS_MIN  */
    JOY_DOS_MAX = 553,             /* JOY_DOS_MAX  */
    JOY_GRANULARITY = 554,         /* JOY_GRANULARITY  */
    JOY_LATENCY = 555,             /* JOY_LATENCY  */
    CLI_TIMEOUT = 556,             /* CLI_TIMEOUT  */
    TIMEMODE = 557,                /* TIMEMODE  */
    UNICODE = 558,                 /* UNICODE  */
    SHIFT_ALT_MAP = 559,           /* SHIFT_ALT_MAP  */
    CTRL_MAP = 560,                /* CTRL_MAP  */
    CTRL_ALT_MAP = 561,            /* CTRL_ALT_MAP  */
    INTERNAL = 562,                /* INTERNAL  */
    EXTERNAL = 563                 /* EXTERNAL  */
  };
  typedef enum yytokentype yytoken_kind_t;
#endif
/* Token kinds.  */
#define YYEMPTY -2
#define YYEOF 0
#define YYerror 256
#define YYUNDEF 257
#define INTEGER 258
#define L_OFF 259
#define L_ON 260
#define L_AUTO 261
#define L_YES 262
#define L_NO 263
#define CHIPSET_TYPE 264
#define KEYB_LAYOUT 265
#define REAL 266
#define STRING 267
#define VARIABLE 268
#define EXPRTEST 269
#define INTCAST 270
#define REALCAST 271
#define AND_OP 272
#define OR_OP 273
#define XOR_OP 274
#define SHR_OP 275
#define SHL_OP 276
#define NOT_OP 277
#define EQ_OP 278
#define GE_OP 279
#define LE_OP 280
#define NEQ_OP 281
#define STR_EQ_OP 282
#define STR_NEQ_OP 283
#define L_AND_OP 284
#define L_OR_OP 285
#define UMINUS 286
#define UPLUS 287
#define BIT_NOT_OP 288
#define STRLEN 289
#define STRTOL 290
#define STRNCMP 291
#define STRCAT 292
#define STRPBRK 293
#define STRSPLIT 294
#define STRCHR 295
#define STRRCHR 296
#define STRSTR 297
#define STRDEL 298
#define STRSPN 299
#define STRCSPN 300
#define SHELL 301
#define DEFINED 302
#define DEFINE 303
#define UNDEF 304
#define IFSTATEMENT 305
#define WHILESTATEMENT 306
#define FOREACHSTATEMENT 307
#define ENTER_USER_SPACE 308
#define LEAVE_USER_SPACE 309
#define CHECKUSERVAR 310
#define DOSBANNER 311
#define FASTFLOPPY 312
#define HOGTHRESH 313
#define SPEAKER 314
#define IPXSUPPORT 315
#define IPXNETWORK 316
#define NOVELLHACK 317
#define ETHDEV 318
#define TAPDEV 319
#define VDESWITCH 320
#define SLIRPARGS 321
#define VNET 322
#define DEBUG 323
#define MOUSE 324
#define SERIAL 325
#define COM 326
#define KEYBOARD 327
#define TERMINAL 328
#define VIDEO 329
#define EMURETRACE 330
#define TIMER 331
#define MATHCO 332
#define CPU 333
#define CPUSPEED 334
#define RDTSC 335
#define BOOTDRIVE 336
#define SWAP_BOOTDRIVE 337
#define L_XMS 338
#define L_DPMI 339
#define DPMI_LIN_RSV_BASE 340
#define DPMI_LIN_RSV_SIZE 341
#define PM_DOS_API 342
#define NO_NULL_CHECKS 343
#define PORTS 344
#define DISK 345
#define DOSMEM 346
#define EXT_MEM 347
#define L_EMS 348
#define UMB_A0 349
#define UMB_B0 350
#define UMB_F0 351
#define EMS_SIZE 352
#define EMS_FRAME 353
#define EMS_UMA_PAGES 354
#define EMS_CONV_PAGES 355
#define TTYLOCKS 356
#define L_SOUND 357
#define L_SND_OSS 358
#define L_JOYSTICK 359
#define FULL_FILE_LOCKS 360
#define DEXE 361
#define ALLOWDISK 362
#define FORCEXDOS 363
#define XDOSONLY 364
#define ABORT 365
#define WARN 366
#define L_FLOPPY 367
#define EMUSYS 368
#define L_X 369
#define L_SDL 370
#define DOSEMUMAP 371
#define LOGBUFSIZE 372
#define LOGFILESIZE 373
#define MAPPINGDRIVER 374
#define LFN_SUPPORT 375
#define EMULATED 376
#define NATIVE 377
#define CPUEMU 378
#define CPU_VM 379
#define VM86 380
#define FULL 381
#define VM86SIM 382
#define FULLSIM 383
#define KVM 384
#define RAWKEYBOARD 385
#define PRESTROKE 386
#define KEYTABLE 387
#define SHIFT_MAP 388
#define ALT_MAP 389
#define NUMPAD_MAP 390
#define DUMP 391
#define DGRAVE 392
#define DACUTE 393
#define DCIRCUM 394
#define DTILDE 395
#define DBREVE 396
#define DABOVED 397
#define DDIARES 398
#define DABOVER 399
#define DDACUTE 400
#define DCEDILLA 401
#define DIOTA 402
#define DOGONEK 403
#define DCARON 404
#define NETWORK 405
#define PKTDRIVER 406
#define DIRECTORY 407
#define NAMESTUB 408
#define BINARY 409
#define BASE 410
#define IRQ 411
#define DEVICE 412
#define CHARSET 413
#define BAUDRATE 414
#define VIRTUAL 415
#define VMODEM 416
#define PSEUDO 417
#define RTSCTS 418
#define LOWLAT 419
#define PCCOM 420
#define MICROSOFT 421
#define MS3BUTTON 422
#define LOGITECH 423
#define MMSERIES 424
#define MOUSEMAN 425
#define HITACHI 426
#define MOUSESYSTEMS 427
#define BUSMOUSE 428
#define PS2 429
#define IMPS2 430
#define INTERNALDRIVER 431
#define EMULATE3BUTTONS 432
#define CLEARDTR 433
#define L_DISPLAY 434
#define L_TITLE 435
#define X_TITLE_SHOW_APPNAME 436
#define ICON_NAME 437
#define X_KEYCODE 438
#define X_BLINKRATE 439
#define X_SHARECMAP 440
#define X_MITSHM 441
#define X_FONT 442
#define X_FIXED_ASPECT 443
#define X_ASPECT_43 444
#define X_LIN_FILT 445
#define X_BILIN_FILT 446
#define X_MODE13FACT 447
#define X_WINSIZE 448
#define X_GAMMA 449
#define X_FULLSCREEN 450
#define VGAEMU_MEMSIZE 451
#define VESAMODE 452
#define X_LFB 453
#define X_PM_INTERFACE 454
#define X_MGRAB_KEY 455
#define X_BACKGROUND_PAUSE 456
#define SDL_HWREND 457
#define VGA 458
#define MGA 459
#define CGA 460
#define EGA 461
#define NONE 462
#define CONSOLE 463
#define GRAPHICS 464
#define CHIPSET 465
#define FULLREST 466
#define PARTREST 467
#define MEMSIZE 468
#define VBIOS_SIZE_TOK 469
#define VBIOS_SEG 470
#define VGAEMUBIOS_FILE 471
#define VBIOS_FILE 472
#define VBIOS_COPY 473
#define VBIOS_MMAP 474
#define DUALMON 475
#define VBIOS_POST 476
#define FORCE_VT_SWITCH 477
#define PCI 478
#define COLOR 479
#define ESCCHAR 480
#define XTERM_TITLE 481
#define IO 482
#define PORT 483
#define CONFIG 484
#define READ 485
#define WRITE 486
#define KEYB 487
#define PRINTER 488
#define WARNING 489
#define GENERAL 490
#define HARDWARE 491
#define L_IPC 492
#define SOUND 493
#define TRACE 494
#define CLEAR 495
#define LPT 496
#define COMMAND 497
#define TIMEOUT 498
#define L_FILE 499
#define L_PARTITION 500
#define WHOLEDISK 501
#define THREEINCH 502
#define THREEINCH_720 503
#define THREEINCH_2880 504
#define FIVEINCH 505
#define FIVEINCH_360 506
#define READONLY 507
#define LAYOUT 508
#define SECTORS 509
#define CYLINDERS 510
#define TRACKS 511
#define HEADS 512
#define OFFSET 513
#define HDIMAGE 514
#define HDTYPE1 515
#define HDTYPE2 516
#define HDTYPE9 517
#define DISKCYL4096 518
#define RDONLY 519
#define WRONLY 520
#define RDWR 521
#define ORMASK 522
#define ANDMASK 523
#define RANGE 524
#define FAST 525
#define SLOW 526
#define SILLYINT 527
#define USE_SIGIO 528
#define HARDWARE_RAM 529
#define SB_BASE 530
#define SB_IRQ 531
#define SB_DMA 532
#define SB_HDMA 533
#define MPU_BASE 534
#define MPU_IRQ 535
#define MPU_IRQ_MT32 536
#define MIDI_SYNTH 537
#define SOUND_DRIVER 538
#define MIDI_DRIVER 539
#define MUNT_ROMS 540
#define SND_PLUGIN_PARAMS 541
#define PCM_HPF 542
#define MIDI_FILE 543
#define WAV_FILE 544
#define CDROM 545
#define ASPI 546
#define DEVICETYPE 547
#define TARGET 548
#define FEATURE 549
#define JOYSTICK 550
#define JOY_DEVICE 551
#define JOY_DOS_MIN 552
#define JOY_DOS_MAX 553
#define JOY_GRANULARITY 554
#define JOY_LATENCY 555
#define CLI_TIMEOUT 556
#define TIMEMODE 557
#define UNICODE 558
#define SHIFT_ALT_MAP 559
#define CTRL_MAP 560
#define CTRL_ALT_MAP 561
#define INTERNAL 562
#define EXTERNAL 563

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
union YYSTYPE
{
#line 206 "parser.y"

	int i_value;
	char *s_value;
	float r_value;
	struct {
		enum {
			TYPE_NONE,
			TYPE_INTEGER,
			TYPE_BOOLEAN,
			TYPE_REAL
		} type;
		union {
			int i;
			float r;
		} value;
	} t_value;

#line 701 "parser.h"

};
typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif




int yyparse (void);


#endif /* !YY_YY_PARSER_H_INCLUDED  */
